:root {
    /* --gradient: radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
    radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%); */
    --gradient: #d1cfcf;
    --select-border: #777;
    --select-focus: blue;
    --select-arrow: var(--select-border);
    --main-color: #232946;
    --secondary-color: #fffffe;
    --tertiary-color: #d1cfcf;
    --highlight-color: #eebbc3;
    --stroke-color: #121629;
    --stroke-light-color: #292d43d3;
  }
  html {
    font-size: min(16px, 2vw); /* 16px is the minimum font size */
  }
  .action_btn{
    cursor: pointer;
  }
  .search-window__header{
    background-color: var(--main-color);
  }
.top_navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0px;
    /* background-color: burlywood; */
    width: 100%;
    height: 50px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background: var(--main-color);
}
.nav_search_bar{
    display: none;
    justify-content: start;
    align-items: center;
    /* padding: 10px 0px; */
    /* background-color: burlywood; */
    width: 400px;;
    height: auto;
    max-height: 70vh;
    position: fixed;
    margin-left:5px;
    top: 0;
    left: 0;
    z-index: 12;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background: var(--main-color);
    flex-direction: column;
    border: solid 1px black;
}
.search_bar_container{
    display: flex;
    justify-content: start;
    align-items: center;
    /* background-color: burlywood; */
    width: 400px;;
    height: 50px;
    flex-direction: row;

    /* position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); */
}
.search_results_container{
    display: flex;
    justify-content: start;
    align-items: center;
    background: var(--secondary-color);
    width: 400px;;
    height: 500px;
    flex-direction: column;
    border: solid 1px black;
    overflow-y: scroll;

    box-shadow: 1px 3px 12px 6px;

}
.top_navbar > div{
    /* margin-left: 10px;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer; */
}
.left_icons{
    display: flex;
    justify-content: start;
    align-items: center;
    padding: 10px 0px;
    /* background-color: burlywood; */
    /* width: 100%; */
    /* height: 50px; */
    /* position: fixed; */
    /* top: 0;
    left: 0; */
    z-index: 100;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.left_icons > div{
    margin-left: 10px;
    margin-right: 10px;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
}
.middle_icons{
    display: flex;
    justify-content: start;
    align-items: center;
    padding: 10px 0px;
    /* background-color: burlywood; */
    /* width: 100%; */
    /* height: 50px; */
    /* position: fixed; */
    /* top: 0;
    left: 0; */
    z-index: 100;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.middle_icons > div{
    margin-right: 10px;
    margin-left: 10px;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
}
.right_icons{
    display: flex;
    justify-content: start;
    align-items: center;
    padding: 10px 0px;
    /* background-color: burlywood; */
    /* width: 100%; */
    height: 50px;
    /* position: fixed; */
    /* top: 0;
    left: 0; */
    z-index: 100;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.right_icons > div{
    margin-right: 10px;
    margin-left: 10px;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
    text-align: center;
}
#sidebar_shimmerPlaceholder {
    padding: 10px;
    display: none;
    width: 100%;
    height: 100%;
  }
  #shimmerPlaceholder {
    padding: 10px;
    display: none;
    width: 100%;
    height: 100%;
  }
  .shimmer-line {
    height: 40px;
    background: #f6f7f8;
    background-image: linear-gradient(
      to right,
      #f6f7f8 0%,
      #e0e0e0 20%,
      #f6f7f8 40%,
      #f6f7f8 100%
    );
    background-repeat: no-repeat;
    background-size: 800px 104px;
    display: inline-block;
    position: relative;
    animation: shimmer 1.5s infinite linear forwards;
    margin-bottom: 10px;
    border-radius: 4px;
    width: 100%;
  }
  
  @keyframes shimmer {
    0% {
      background-position: -800px 0;
    }
    100% {
      background-position: 800px 0;
    }
  }
  
.user_message{
    display: none;
    justify-content: center;
    align-items: center;
    padding: 10px 0px;
    width: 100%;
    height: 50px; 
    position: fixed;
    top: 20px;
    left: 0;
    z-index: 10000;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.message_content{
    background-color: green;
    max-height: 100px; 
    padding: 10px;
    border-radius: 10px;
    font-size: 16px;
    color: white;
}
.profile_window{
    position: fixed;
    display: none;
    right: 0px;
    width: 300px;
    height: 70vh;

}
.community_window{
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 1000;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}
.community_window_content{
    background: var(--gradient);
    background: var(--tertiary-color);
    width: 800px;
    height: 90%;
    max-width: 95vw;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    padding: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.community_content{
    flex: 1;
    /* border: 1px solid black; */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 5px;
    overflow-y: auto;
}
.community_items{
    flex: 1;
    /* border: 1px black solid; */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 100%;
    height: 100%;
    /* border: solid 1px black; */
}
.create_community_form{
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 500px;
    padding: 15px;
    border-radius: 10px;
    height: 90%;
    border: solid 1px black;
}
.community_list{
    display: flex;
    /* justify-content: center;
    align-items: center; */
    flex-direction: column;
    width: 100%;
    /* padding: 15px; */
    border-radius: 10px;
    height: 90%;
    /* border: solid 1px black; */
    overflow-y: auto;
    overflow-x: hidden;
}
.community_description{

}
.community_inputs{
    padding: 5px;
    margin: 10px;
    width: 100%;
    border-radius: 10px;
}
.main_container{
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 94vh;
    /* background-color: #897949; */
    background-color: #bda560;
    /* background-color:#a18b4d; */
    width: 100%;
    background-color: var(--tertiary-color);
}
.display_text{
    display: none;
    animation: blink 1s linear infinite;
}
/* Add this to the end of your home.css file */
@keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
  }
  
  .blink {
    animation: blink 1s linear infinite;
  }
.main_container {
    overflow: hidden; /* Hides both horizontal and vertical scrollbars */
  }
  
  .main_container {
    overflow: auto; /* Enables scrolling, but hides scrollbars */
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* Internet Explorer 10+ */
  }
  
  .main_container::-webkit-scrollbar {
    display: none; /* Chrome, Safari, Opera */
  }

.show_password_toggle{
    display: flex;
    width: auto;
    justify-content: start;
    align-items: center;
    cursor: pointer;
}
.required{
    border: solid red;
}
.feeds{
    /* display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center; */
    /* background-color: rgb(199, 163, 120); */
    width: 50%;
    height: 100%;
    overflow-y: scroll;
    padding: 10px;
    /* box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
    background: var(--gradient);
    background: white;
    box-shadow: 0px 0px 13px 6px; */
}

.hide{
    display: none;
 }
.form_forground{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    padding: 10px;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
}

.user_form{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: var(--gradient);
    background: var(--secondary-color);
    width: 500px;
    height: 95%;
    max-width: 100%;
    padding: 5px;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 1%;
}
.form_header{
    display:flex;
    flex-direction:row;
    align-items: center;
    justify-content:stretch;
    width:100%;
    margin-top:10px;
    margin-left: 10px;
    margin-right: 10px;
}
.close_button{
    width: 20px;
    height: 20px;
    background-color: red;
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    margin-left: auto;
}
.form_header > div{
    flex-grow: 1;
    border: 1px solid #ccc;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    height: 45px;
    /* font-size: 20px; */
}
.sign_form{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: var(--gradient);
    background: var(--tertiary-color);
    width: 100%;
    height: 100%;
    max-width: 100%;
    padding: 5px;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 1%;
}
.sign_form > input{
    margin: 10px 0px;
    width: 100%;
    padding: 10px;
    border-radius: 4px;
    font-size: 16px;
    box-sizing: border
}
.signin_form{
    display: flex;
}
.signup_form{
    display: none;
}
.signup_button_toggle_active{
    background-color: #70552c;
    background-color:black;
    color: #fff;
    border: none;
    border-radius: 4px;
}
.signup_button_toggle_active:hover{
    background-color: #554224;
}

.password_input{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    width: 100%;
    padding: 10px;
    border: solid red;
    border-radius: 4px;
    font-size: 16px;
    box-sizing: border-box;
    background-color: white;
    margin-bottom: 10px;
}
.password_value{
    width: 100%;
    flex-grow: 1;
    border: none;
}
.submit_btn{
    margin: 10px 0px;
    padding: 10px 20px;
    background-color: #70552c;
    background-color: white;
    color: #fff;
    color: black;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.submit_btn:hover{
    background-color: #554224;
}

.spinner {
    display: none;
    width: 16px;
    height: 16px;
    border: 2px solid transparent;
    border-top: 2px solid #fff;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
    margin-left: 8px;
  }
  
  .hidden {
    display: none;
  }
  
  .icon-text, svg {
    margin: 0;
    color: white;
    font-size: xx-small;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0px;
    padding: 0px;
    cursor: pointer;
    user-select: none;
}
  @keyframes spin {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }
/* Media query for responsiveness */
@media (max-width: 800px) {
    .feeds {
        width: 100%; /* Hide first column when screen size is less than 800px */
    }
   
}